Read the C2PA credential embedded in an image
POST
/mc4p/credential-reads
const url = 'https://api.mintall.ai/api/v1/mc4p/credential-reads';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"image_url":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.mintall.ai/api/v1/mc4p/credential-reads \ --header 'Content-Type: application/json' \ --data '{ "image_url": "example" }'Fetch the image at image_url, read the C2PA manifest embedded in its
bytes, and return a summary of selected fields from it.
It describes the image file only. To check the product page, use
POST /mc4p/page-checks.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CredentialReadRequest
object
image_url
required
Image Url
string
Examplegenerated
{ "image_url": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CredentialReadResponse
object
scope
Scope
string
verdict
required
Verdict
string
requested_url
required
Requested Url
string
findings
Findings
Array<string>
embedded_credential
required
EmbeddedCredentialResponse
object
present
required
Present
boolean
signer
assertion_labels
Assertion Labels
Array<string>
assertions_truncated
Assertions Truncated
boolean
blockchain
Any of:
BlockchainResponse
null
Example
{ "scope": "image_bytes", "verdict": "credential_present", "findings": [], "embedded_credential": { "assertion_labels": [], "assertions_truncated": false }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}Credential read rate limit reached.
The credential could not be extracted.
Too many reads in flight. Retry after a few seconds.